import { TaonBaseMigration } from 'taon/lib';
import { QueryRunner } from 'taon-typeorm/lib';
export declare class MainContext_1736198527297_init extends TaonBaseMigration {
    /**
     * remove this method if you are ready to run this migration
     */
    isReadyToRun(): boolean;
    up(queryRunner: QueryRunner): Promise<any>;
    down(queryRunner: QueryRunner): Promise<any>;
}
export declare class TaonPortsContext_1736198527297_init extends TaonBaseMigration {
    /**
     * remove this method if you are ready to run this migration
     */
    isReadyToRun(): boolean;
    up(queryRunner: QueryRunner): Promise<any>;
    down(queryRunner: QueryRunner): Promise<any>;
}
